| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SPI Frame Format
SPI Control Codes

Defines the frame format. More...

## Macros

#define | ARM_SPI_CPOL0_CPHA0 (0UL << ARM_SPI_FRAME_FORMAT_Pos)
| Clock Polarity 0, Clock Phase 0 (default)
#define | ARM_SPI_CPOL0_CPHA1 (1UL << ARM_SPI_FRAME_FORMAT_Pos)
| Clock Polarity 0, Clock Phase 1.
#define | ARM_SPI_CPOL1_CPHA0 (2UL << ARM_SPI_FRAME_FORMAT_Pos)
| Clock Polarity 1, Clock Phase 0.
#define | ARM_SPI_CPOL1_CPHA1 (3UL << ARM_SPI_FRAME_FORMAT_Pos)
| Clock Polarity 1, Clock Phase 1.
#define | ARM_SPI_TI_SSI (4UL << ARM_SPI_FRAME_FORMAT_Pos)
| Texas Instruments Frame Format.
#define | ARM_SPI_MICROWIRE (5UL << ARM_SPI_FRAME_FORMAT_Pos)
| National Microwire Frame Format.

## Description

Defines the frame format.

## Macro Definition Documentation

#define ARM_SPI_CPOL0_CPHA0 (0UL << ARM_SPI_FRAME_FORMAT_Pos)

Clock Polarity 0, Clock Phase 0 (default)

See Also
  ARM_SPI_Control

#define ARM_SPI_CPOL0_CPHA1 (1UL << ARM_SPI_FRAME_FORMAT_Pos)

Clock Polarity 0, Clock Phase 1.

See Also
  ARM_SPI_Control

#define ARM_SPI_CPOL1_CPHA0 (2UL << ARM_SPI_FRAME_FORMAT_Pos)

Clock Polarity 1, Clock Phase 0.

See Also
  ARM_SPI_Control

#define ARM_SPI_CPOL1_CPHA1 (3UL << ARM_SPI_FRAME_FORMAT_Pos)

Clock Polarity 1, Clock Phase 1.

See Also
  ARM_SPI_Control

#define ARM_SPI_MICROWIRE (5UL << ARM_SPI_FRAME_FORMAT_Pos)

National Microwire Frame Format.

See Also
  ARM_SPI_Control

#define ARM_SPI_TI_SSI (4UL << ARM_SPI_FRAME_FORMAT_Pos)

Texas Instruments Frame Format.

See Also
  ARM_SPI_Control